package nl.xelion.xcc.api.examples.client;

import com.google.gson.reflect.TypeToken;

import nl.xelion.xcc.api.examples.client.datamodel.Capabilities;
import nl.xelion.xcc.api.examples.client.datamodel.LoginResponse;
import nl.xelion.xcc.api.examples.client.datamodel.RESTObject;


/**
 * REST resources.
 * <p>
 * This software is provided under the MIT <a href="https://opensource.org/licenses/MIT">license</a>
 */
public interface Resources
{
    /**
     * login and create a session
     */
    public final static Resource<LoginResponse> login = new Resource<>("me/login", LoginResponse.class);

    /**
     * logout and end the session
     */
    public final static Resource<Void> logout = new Resource<>("me/logout", null);

    /**
     * session capabilities
     */
    public final static Resource<Capabilities> capabilities = new Resource<>(
        "me/capabilities",
        new TypeToken<RESTObject<Capabilities>>() {
        }.getType());
}
