package nl.xelion.xcc.api.examples.client.datamodel;

/**
 * The system capabilities that are available for the current session.
 * <p>
 * This software is provided under the MIT <a href="https://opensource.org/licenses/MIT">license</a>
 */
public class Capabilities
{
    /**
     * <code>true</code> if the SMS messaging service is available.
     */
    private boolean smsServiceAvailable;

    /**
     * <code>true</code> if the Call-Through service is enabled.
     */
    private boolean callThroughEnabled;

    /**
     * <code>true</code> if the PBX initiated calling is enabled.
     */
    private boolean pbxCallInitiationEnabled;

    public Capabilities()
    {
        // empty constructor for GSON
    }

    public Capabilities(boolean smsServiceAvailable, boolean callThroughEnabled, boolean pbxCallInitiationEnabled)
    {
        this.smsServiceAvailable = smsServiceAvailable;
        this.callThroughEnabled = callThroughEnabled;
        this.pbxCallInitiationEnabled = pbxCallInitiationEnabled;
    }

    public boolean isSmsServiceAvailable()
    {
        return smsServiceAvailable;
    }

    public boolean isCallThroughEnabled()
    {
        return callThroughEnabled;
    }

    public boolean isPbxCallInitiationEnabled()
    {
        return pbxCallInitiationEnabled;
    }

    @Override
    public String toString()
    {
        return "Capabilities ["
            + "smsServiceAvailable="
            + smsServiceAvailable
            + ", callThroughEnabled="
            + callThroughEnabled
            + ", pbxCallInitiationEnabled="
            + pbxCallInitiationEnabled
            + "]";
    }
}
