package nl.xelion.xcc.api.examples.client.datamodel;

/**
 * An error response
 * <p>
 * This software is provided under the MIT <a href="https://opensource.org/licenses/MIT">license</a>
 */
public class ErrorResponse
{
    /**
     * The error code.
     */
    private int errorCode;

    /**
     * A short error message that describes the error.
     */
    private String message;

    public ErrorResponse()
    {
        // empty constructor for GSON
    }

    public ErrorResponse(int errorCode, String message)
    {
        this.errorCode = errorCode;
        this.message = message;
    }

    public int getErrorCode()
    {
        return errorCode;
    }

    public String getMessage()
    {
        return message;
    }

    @Override
    public String toString()
    {
        return "ErrorResponse [errorCode=" + errorCode + ", " + "message=" + message + "]";
    }
}
