package nl.xelion.xcc.api.examples.client.datamodel;

/**
 * The user credentials
 * <p>
 * This software is provided under the MIT <a href="https://opensource.org/licenses/MIT">license</a>
 */
public class LoginCredentials
{
    /**
     * The xelion user name.
     */
    private String userName;

    /**
     * The user's password.
     */
    private String password;

    /**
     * The user space identifies the user session on the server.
     */
    private String userSpace;

    public LoginCredentials()
    {
        // empty constructor for GSON
    }

    public LoginCredentials(String userName, String password, String userSpace)
    {
        this.userName = userName;
        this.password = password;
        this.userSpace = userSpace;
    }

    public String getUserName()
    {
        return userName;
    }

    public String getPassword()
    {
        return password;
    }

    public String getUserSpace()
    {
        return userSpace;
    }

    @Override
    public String toString()
    {
        return "LoginCredentials[" + "userName='" + userName + "', userSpace='" + userSpace + "']";
    }
}
