package nl.xelion.xcc.api.examples.client.datamodel;

/**
 * A response from a login request.
 * <p>
 * This software is provided under the MIT <a href="https://opensource.org/licenses/MIT">license</a>
 */
public class LoginResponse
{
    /**
     * The session token.
     */
    private String authentication;

    /**
     * The token's expiration date.
     */
    private String validUntil;

    public LoginResponse()
    {
        // empty constructor required by GSON
    }

    public LoginResponse(String authentication, String validUntil)
    {
        this.authentication = authentication;
        this.validUntil = validUntil;
    }

    public String getAuthentication()
    {
        return authentication;
    }

    public String getValidUntil()
    {
        return validUntil;
    }

    @Override
    public String toString()
    {
        return "LoginResult [authentication=" + authentication + ", validUntil=" + validUntil + "]";
    }
}
