package nl.xelion.xcc.api.examples.client.http;

/**
 * HTTP constant definition
 * <p>
 * This software is provided under the MIT <a href="https://opensource.org/licenses/MIT">license</a>
 */
public interface HTTPConstants
{
    /**
     * HTTP request methods.
     */
    enum HTTPMethod
    {
        POST, GET, DELETE, PUT, PATCH
    }

    /**
     * HTTP Headers
     */
    public interface HTTPHeader
    {
        String ContentType = "Content-Type";
        String ContentLength = "Content-Length";
        String Accept = "Accept";
        String Authorization = "Authorization";
    }

    /**
     * Media types
     */
    public interface MediaType
    {
        String ApplicationJSON = "application/json";
    }
}
